#
# Cookbook:: esh_archivebox
# Recipe:: cleaning
#
# Copyright:: 2022, https://easyself.host
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Starting upstream a77f887 they switched from ytproxy to piped-proxy
# So we need to clean ytproxy container

execute 'Stop ytproxy container' do
  command 'machinectl stop ytproxy'
  action :run
  only_if 'machinectl status ytproxy 2>/dev/null'
end

directory '/var/lib/machines/ytproxy' do
  recursive true
  action :delete
end
