#
# Cookbook:: esh_piped
# Recipe:: system
#
# Copyright:: 2022, https://easyself.host
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

directory '/etc/piped/' do
  owner 'root'
  group 'root'
  mode '0700'
  action :create
end

template '/etc/piped/config.properties' do
  owner 'root'
  group 'root'
  mode '0755'
  variables proxy_hostname: "#{node['esh']['piped']['config']['proxy_hostname']}.#{node['esh']['piped']['config']['domain']}",
    captcha_api_key: node['esh']['piped']['config']['captcha_api_key'],
    backend_hostname: "#{node['esh']['piped']['config']['backend_hostname']}.#{node['esh']['piped']['config']['domain']}",
    frontend_hostname: "#{node['esh']['piped']['config']['frontend_hostname']}.#{node['esh']['piped']['config']['domain']}",
    postgresql_password: node['esh']['piped']['postgresql']['password']
  action :create
end
