#
# Cookbook:: esh_archivebox
# Recipe:: undocker
#
# Copyright:: 2022, https://easyself.host
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

%w(piped piped-frontend piped-proxy).each do |image|
  url = node['esh']['piped']['docker'][image]['url']
  image = node['esh']['piped']['docker'][image]['image']
  tag = node['esh']['piped']['docker'][image]['tag']
  network = node['esh']['piped']['docker'][image]['network']
  ip_addr = node['esh']['piped']['docker'][image]['ip_addr']
  service = node['esh']['piped']['docker'][image]['service']
  env = node['esh']['piped']['docker'][image]['env']

  esh_undocker_download url do
    image image
    tag tag
  end

  esh_undocker_extract image do
    tag tag
    network network
    env env
  end

  esh_undocker_network ip_addr do
    image image
  end

  esh_undocker_service image do
    content service
  end
end
